#pragma once
#include "EntityState.h"
extern const int CS_SantaFishSTATENAME_JUMP;
class CS_SantaFishJump :
    public EntityState
{
public:
    CS_SantaFishJump();
    void State() override;
    void SetPhysice(bool bInWater) override;
    void SetJump();
    //物理信息
  //地面
    float ground_jump = 0x280 / ts;
    //水中
    float inwater_jump = 0x280 / ts;
    //变量
    float jump = 0;//当前跳跃速度
    bool jumped = false;//已跳跃
    bool jump_disable = false;//禁用跳跃
    int jump_reset_counter_max = 10;
    int jump_reset_counter = jump_reset_counter_max;
};

